import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';
import { AuthGuard } from '@xdf/security';
import { TemplateResolver, DirtyGuard, CrudGridComponent, RecordResolver } from '@xdf/gallery';
import { ResourceAuthGuard } from '@xdf/security';
import { PruebaComponent } from './components/prueba/prueba.component';

const routes: Routes = [
  {
    path: '', component: PruebaComponent, canActivate: [AuthGuard, ResourceAuthGuard], 
    data: {
      innerTemplate: 'none',
      program: 'mantenimiento',
      breadcrumb: 'breadcrumb.mantenimiento'
    }
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class MantenimientoRoutingModule { }
