import { NgModule } from '@angular/core';
import { XdfGalleryModule } from '@xdf/gallery';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfSettingsModule } from '@xdf/settings';
import { MantenimientoRoutingModule } from './mantenimiento-routing.module';
import { PruebaComponent } from './components/prueba/prueba.component';

@NgModule({
  declarations: [
    PruebaComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    MantenimientoRoutingModule
  ],
  entryComponents:[
  ],
  providers: [

  ]
})
export class MantenimientoModule { }